Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class LogfileRenderer

    java.lang.Object
      org.ajax4jsf.resource.BaseResourceRenderer
          org.ajax4jsf.resource.LogfileRenderer

All Implemented Interfaces:
  org.ajax4jsf.resource.ResourceRenderer

    public class LogfileRenderer

extends BaseResourceRenderer

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:02 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Constructor Summary
`LogfileRenderer()`

Method Summary
`protected void` | `customEncode(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data)` Template method for customaize encoding for component.
`protected java.lang.String[][]` | `getCommonAttrs()`
`java.lang.String` | `getContentType()`
`protected java.lang.String` | `getHrefAttr()`
`protected java.lang.String` | `getTag()`

Methods inherited from class org.ajax4jsf.resource.BaseResourceRenderer
`encode, encode, encodeBegin, encodeEnd, getData, requireFacesContext, send, sendStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogfileRenderer

    public LogfileRenderer()

Method Detail

### getTag

    protected java.lang.String getTag()

  Specified by:
    `getTag` in class `BaseResourceRenderer`

### getHrefAttr

    protected java.lang.String getHrefAttr()

  Specified by:
    `getHrefAttr` in class `BaseResourceRenderer`

### getCommonAttrs

    protected java.lang.String[][] getCommonAttrs()

  Specified by:
    `getCommonAttrs` in class `BaseResourceRenderer`

### getContentType

    public java.lang.String getContentType()

### customEncode

    protected void customEncode(org.ajax4jsf.resource.InternetResource resource,
                                javax.faces.context.FacesContext context,
                                java.lang.Object data)
                         throws java.io.IOException

  Description copied from class: `BaseResourceRenderer`
  Template method for customaize encoding for component. can insert size etc. attributes, child tags etc.

  Overrides:
    `customEncode` in class `BaseResourceRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.